Application: gvSIG desktop - gvSIG bugs #5323
No se activa la herramienta de Unir geometrias estando en edicion
07/02/2020 05:33 PM - Mario Carrera

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: Vector editing

Target version: 2.5.1-3030

Severity: Minor Add-on version:

gvSIG version: 2.51 Add-on build:

gvSIG build: 3026 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Si realizamos un autopoligono, y después seleccionamos las geometrias para unir, no se activa la herramienta de 'Unir geometrias'.

Adjunto video con los pasos y log.

History

#1 - 07/02/2020 05:43 PM - Mario Carrera
- Subject changed from Tras realizar un autopoligono no se activa la herramienta de Unir geometrias to No se activa la herramienta de Unir

geometrias estando en edicion

En la descripcion comentaba que era tras hacer un autopoligono, pero hemos detectado que dicha herramienta no se activa tampoco sin haber hecho

autopoligono antes.

Se crea nuevo SHP, se pone en edicion, se dibujan dos poligonos, se seleccionan, y no aparece activa la herramienta.

#2 - 07/07/2020 12:12 PM - Oscar Martinez
La herramienta solo se activa en capas de tipo Multi*.
La herramienta no esta preparada para casos como cuando es de tipo Poligono, porque a priori, no puede asegurar que el resultado de la unién entre

dos poligonos sea otro Poligono, ya que podria dar como resultado un Multipoligono, y este no seria valido para almacenarse en esa capa.

#3 - 07/07/2020 03:46 PM - Mario Carrera
- Status changed from New to Closed

Entonces el error es otro. Cuando creamos una capa SHP nueva, se crea como Polygon o Line, no como Multigeometria. No habia visto que se
creaba asi en este build.

He abierto el siguiente ticket: https://redmine.gvsig.net/redmine/issues/5325

Cierro este.
https://redmine.gvsig.net/redmine/issues/5325

#4 - 08/04/2020 05:19 PM - Joaquin del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3030
